import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  username: z.string().optional()
}).strict();
export const UserWhereUniqueInputObjectSchema: z.ZodType<Prisma.UserWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.UserWhereUniqueInput>;
export const UserWhereUniqueInputObjectZodSchema = makeSchema();
